更新Atom后,安装Julia-client失败

本来juno是能用的,但是我把Atom升级到最新的1.47.0后,突然julia-client就不能用了,卸载之后就更是安装不上了。之后我又重新用回Atom@1.45.0(因为这个版本没出问题),但是这个julia-client依然装不上,每次都是以下这个问题:


Julia和Juno的包都是最新的。

Julia Version 1.4.0
Commit b8e9a9ecc6 (2020-03-21 16:36 UTC)
Platform Info:
OS: macOS (x86_64-apple-darwin18.6.0)
Vs Code: 1.45.1
CPU: Intel® Core™ i5-8257U CPU @ 1.40GHz
WORD_SIZE: 64
LIBM: libopenlibm
LLVM: libLLVM-8.0.1 (ORCJIT, skylake)

把 用户目录/.atom/packages 中的 julia-client删了,重新安装。

看起来不像是网络问题。
没有挂梯子的情况下,通过图形界面大多是安装不上的。即使挂了梯子,也不一定安装的上。。。。推荐使用命令行 apm install xxxx

那个,其实我也想知道,这个命令该怎么用,直接在mac的终端里输入么
,还是在Atom的终端里使用?

其实都可以,atom的终端其实是系统终端的一种继承。使用这个命令前,你要把atom加入系统环境变量(加入之后,在终端中直接输入atom即可打开atom)。

你好,请问这个问题现在解决了吗?我也遇到了这个问题, 可否分享一下解决方法?

我用最新的版本安装上了,以下为不是办法的办法:
步骤一:把关于Juno的包都卸了,Atom也卸干净。然后重新安装Atom,再安装Juno,安装成功后会提示

Installing Juno. Please wait.(之类的)

步骤二:这时关掉Atom然后,再打开,会在上面的提示框下短暂地出现提示你正在安装的包,比如:

Installing Juno. Please wait.
Installing Indent-detective(这是个正在安装的包).

要赶快记住这个包的名字,然后你不能等,要去搜索这个包然后自己安装,成功后再关掉Atom,接着打开,它又会提醒需要的新包,再重复以上步骤直到Juno安装完毕,最后选择“Yes”就可以了。
还有个挺玄学的事,我家的网在早晨八点之前会很好,所以我都是在八点之前安装这些包。
祝你们成功!

我刚才发了一个办法,希望可以帮到你。

谢谢谢谢! 我试一下 :smiley:

京ICP备17009874号-2